Exception: Invalid range header" Errors again

Help [OLD]
  • Alex

    Alex - 2009-06-29


    I'm using debian testing system and lately i upgrade the aria2 to 1.4.1. From then the problem with the invalid range header has been appear. I have search here but all the information about this problem is in 1.2.1. I have use aria2.conf with some options and disable usage of this file (with --no-conf) doesn't solved. Neither using http-auth-challenge=true. Any help?

    Note the problem is occured only premium account of Rapidshare.

    • Ant Bryan

      Ant Bryan - 2009-06-29

      I don't know if this is related, but try it. if not, maybe someone else has an answer.

      you could then open a bug & attach a log file


      Can't download from megaupload.

      Try --use-head=false option. megaupload doesn't recognize HEAD method request.

    • tujikawa

      tujikawa - 2009-06-30

      Most of the problem related to "Invalid range" are caused by the servers which don't handle HEAD requests. Try --use-head=false.

      I've heard this problem in many times and I'm considering to make --use-head=false by default in the next 1.5 release.


Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks